Subject: [bug#70087] [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.

From: Herman Rimm <[email-masked]>
Date: Tue, 14 May 2024 09:31:47 +0200

Hello,

On Sun, May 12, 2024 at 09:08:55PM +0200, Andreas Enge wrote:
> Is a newer package really needed? Why this commit from 2020, and not another
> one from 2024? Their git repository is, let us say, unusual: The master
> branch has not seen any commit after the 6.2.0 release except for a license
> change. Work seems to be done in the origin/release/6.3.0 branch.

A new version is required because for e.g. [1] the current gecode gives:

  $ minizinc --solver gecode magic_square.mzn
  /gnu/store/nxk99lxxlsyjg1wy9xjcsyhx1904qy1h-minizinc-2.5.5/share/minizinc/std/nvalue_fn.mzn:7.57-67:
  MiniZinc: type error: no function or predicate with this signature found: `nvalue(var int,array[$_] of var int)'
  Cannot use the following functions or predicates with the same identifier:
  function var int : nvalue(array[$_] of var int: x);
      (requires 1 argument, but 2 given)
  predicate nvalue(var int: n,array[int] of var int: x);
      (argument 2 expects type array[int] of var int, but type array[$_] of var int given)
  
While the development version returns:

  $ minizinc --solver gecode magic_square.mzn
  Total: 15
  
   2  7  6
   9  5  1
   4  3  8
  ----------

I don't remember why I specifically picked that commit, I could try
packaging at a more recent commit.

> in any case it could not be called 6.3.0, since there is no such release.

Can I use the 'git-version' procedure in the updated package and create
a 'gecode/pinned' package which inherits from it for the 6.2.0 release?

Cheers,
Herman

[1]: http://csplib.github.io/csplib-PR-builds/PR-18/Problems/prob019/models/magic_square.mzn.html